Subject: bug#37576: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found

From: Richard Copley <[email-masked]>
Date: Tue, 1 Oct 2019 23:05:34 +0100

On Tue, 1 Oct 2019 at 21:43, Juanma Barranquero <[email-masked]> wrote:

> On Tue, Oct 1, 2019 at 9:56 PM Richard Copley <[email-masked]> wrote:
>
> > In "emacs -Q", if the file "xyzzy" does not exist on the path,
> (call-process "xyzzy") now leaves this in the *Messages* buffer:
> >
> >   forward-sexp: Searching for program: Permission denied, xyzzy
> >
> > In older versions the entry in the message buffer is a true statement:
> >
> >   eval: Searching for program: No such file or directory, xyzzy
>
> In the current trunk, I get "No such file on directory".
>
> ELISP> (call-process "xyzzy")
> *** Eval error ***  Searching for program: No such file or directory, xyzzy
>
> > Repository revision: cbc507779b8f56ce0abf596416e8e3847de88e10
> > Repository branch: buster
>
> After Paul changes adding more strict file checking, there were some fixes
> to ease up. Perhaps you got a revision in between. I cannot say, because
> the repository revision of your report is likely some local change by you
> (it's not in the public repository).
>

I get the same results in "emacs -Q" rebuilt from scratch from current
pristine master, 2698d3dba2 (2019-10-01 23:15:03 2019 +0300). After
building and running using this command...:

  git reset --hard 2698d3db && git clean -xfd && ./autogen.sh &&
./configure && make && src/emacs.exe -Q

...the recipe below pops up the Lisp debugger.

M-: (call-process SPC "xyzzy") RET
c ;; debugger-continue

On continuing in the debugger, it prints "forward-sexp: Searching for
program: Permission denied, xyzzy" in the *Messages* buffer.